You are here: start » utf8

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
utf8 [2013/01/15 16:47]
Christoph M. Becker [UTF-8]
utf8 [2018/10/26 15:33] (current)
Line 34: Line 34:
 <​code=php><?​php <​code=php><?​php
  
-$qs = str_replace(array('​%E4',​ '​%F6',​ '​%FC',​ '​%C4',​ '​%D6',​ '​%DC',​ '​%DF'​),​ +$qs = str_replace(array('​%E4', ​   '​%F6', ​   '​%FC', ​   '​%C4', ​   '​%D6', ​   '​%DC', ​   '​%DF'​),​ 
-                  array('​ä', ​  ​'ö', ​  ​'ü', ​  ​'Ä', ​  ​'Ö', ​  ​'Ü', ​  ​'ß'),+                  array('​%C3%A4', '%C3%B6', '%C3%BC', '%C3%84', '%C3%96', '%C3%9C', '%C3%9F'),
                   $_SERVER['​QUERY_STRING'​]);​                   $_SERVER['​QUERY_STRING'​]);​
  
Line 59: Line 59:
 Reusing ANSI encoded Templates in UTF-8 encoded CMSimple_XH shouldn'​t be a problem. Just change the encoding of template.htm and stylesheet.css (and maybe other files in the template folder) to UTF-8 without BOM. Reusing ANSI encoded Templates in UTF-8 encoded CMSimple_XH shouldn'​t be a problem. Just change the encoding of template.htm and stylesheet.css (and maybe other files in the template folder) to UTF-8 without BOM.
  
-Reusing ANSI encoded Plugins might work, if you convert the files (particularly the language and data files) to UTF-8 without BOM. But there might be other problems that can't be solved that easy, so it's probably best to contact the plugin'​s author and ask for an UTF-8 conforming version or to use an alternative plugin that's already UTF-8 conforming. If that's not possible you have to try for yourself, if converting the files to UTF-8 without BOM suffices. +Reusing ANSI encoded Plugins might work, if you convert the files (particularly the language and data files) to UTF-8 without BOM. But there might be other problems that can't be solved that easy, so it's probably best to contact the plugin'​s author and ask for an UTF-8 conforming version or to use an [[update_upgrade#​plugins|alternative plugin]] that's already UTF-8 conforming. If that's not possible you have to try for yourself, if converting the files to UTF-8 without BOM suffices.
 
You are here: start » utf8
Except where otherwise noted, content on this wiki is licensed under the following license: GNU Free Documentation License 1.3
Valid XHTML 1.0 Valid CSS Driven by DokuWiki